Skip to main content
GET
/
subscriptions
/
cp
/
api
/
cancellation-managements
/
{id}
Get cancellation management configuration
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/cancellation-managements/{id}
{
  "shop": "<string>",
  "id": 123,
  "cancellationInstructionsText": "<string>",
  "cancellationReasonsJSON": "<string>",
  "pauseInstructionsText": "<string>",
  "pauseDurationCycle": 123,
  "enableDiscountEmail": true,
  "discountEmailAddress": "<string>",
  "pauseReasonsJSON": "<string>",
  "dynamicallyPauseCycleOnCancellation": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
integer<int64>
required

Response

200 - */*

OK

shop
string
required
id
integer<int64>
cancellationType
enum<string>
Available options:
CANCEL_IMMEDIATELY,
CANCELLATION_INSTRUCTIONS,
CUSTOMER_RETENTION_FLOW,
CANCEL_AFTER_PAUSE
cancellationInstructionsText
string
cancellationReasonsJSON
string
pauseInstructionsText
string
pauseDurationCycle
integer<int32>
enableDiscountEmail
boolean
discountEmailAddress
string
pauseType
enum<string>
Available options:
PAUSE_IMMEDIATELY,
PAUSE_INSTRUCTIONS,
CUSTOMER_RETENTION_FLOW
pauseReasonsJSON
string
dynamicallyPauseCycleOnCancellation
boolean